Colt 1.2.0

## hep.aida
Interface IHistogram3D

All Superinterfaces:
  IHistogram, Serializable

All Known Implementing Classes:
  Histogram3D

    public interface IHistogram3D

extends IHistogram

A Java interface corresponding to the AIDA 3D Histogram.

Note All methods that accept a bin number as an argument will also accept the constants OVERFLOW or UNDERFLOW as the argument, and as a result give the contents of the resulting OVERFLOW or UNDERFLOW bin.

Version:
  1.0, 23/03/2000
See Also:
  AIDA

Field Summary

Fields inherited from interface hep.aida.IHistogram
`OVERFLOW, serialVersionUID, UNDERFLOW`

Method Summary
`int` `binEntries(int indexX, int indexY, int indexZ)` The number of entries (ie the number of times fill was called for this bin).
`double` `binError(int indexX, int indexY, int indexZ)` The error on this bin.
`double` `binHeight(int indexX, int indexY, int indexZ)` Total height of the corresponding bin (ie the sum of the weights in this bin).
`void` `fill(double x, double y, double z)` Fill the histogram with weight 1; equivalent to `fill(x,y,z,1)`..
`void` `fill(double x, double y, double z, double weight)` Fill the histogram with specified weight.
`double` `meanX()` Returns the mean of the histogram, as calculated on filling-time projected on the X axis.
`double` `meanY()` Returns the mean of the histogram, as calculated on filling-time projected on the Y axis.
`double` `meanZ()` Returns the mean of the histogram, as calculated on filling-time projected on the Z axis.
`int[]` `minMaxBins()` Indexes of the in-range bins containing the smallest and largest binHeight(), respectively.
`IHistogram2D` `projectionXY()` Create a projection parallel to the XY plane.
`IHistogram2D` `projectionXZ()` Create a projection parallel to the XZ plane.
`IHistogram2D` `projectionYZ()` Create a projection parallel to the YZ plane.
`double` `rmsX()` Returns the rms of the histogram as calculated on filling-time projected on the X axis.
`double` `rmsY()` Returns the rms of the histogram as calculated on filling-time projected on the Y axis.
`double` `rmsZ()` Returns the rms of the histogram as calculated on filling-time projected on the Z axis.
`IHistogram2D` `sliceXY(int indexZ)` Create a slice parallel to the XY plane at bin indexZ and one bin wide.
`IHistogram2D` `sliceXY(int indexZ1, int indexZ2)` Create a slice parallel to the XY plane, between "indexZ1" and "indexZ2" (inclusive).
`IHistogram2D` `sliceXZ(int indexY)` Create a slice parallel to the XZ plane at bin indexY and one bin wide.
`IHistogram2D` `sliceXZ(int indexY1, int indexY2)` Create a slice parallel to the XZ plane, between "indexY1" and "indexY2" (inclusive).
`IHistogram2D` `sliceYZ(int indexX)` Create a slice parallel to the YZ plane at bin indexX and one bin wide.
`IHistogram2D` `sliceYZ(int indexX1, int indexX2)` Create a slice parallel to the YZ plane, between "indexX1" and "indexX2" (inclusive).
`IAxis` `xAxis()` Return the X axis.
`IAxis` `yAxis()` Return the Y axis.
`IAxis` `zAxis()` Return the Z axis.

Methods inherited from interface hep.aida.IHistogram
`allEntries, dimensions, entries, equivalentBinEntries, extraEntries, reset, sumAllBinHeights, sumBinHeights, sumExtraBinHeights, title`

Method Detail

### binEntries

    int binEntries(int indexX,
                   int indexY,
                   int indexZ)

  The number of entries (ie the number of times fill was called for this bin).

  Parameters:
    `indexX` - the x bin number (0...Nx-1) or OVERFLOW or UNDERFLOW.
    `indexY` - the y bin number (0...Ny-1) or OVERFLOW or UNDERFLOW.
    `indexZ` - the z bin number (0...Nz-1) or OVERFLOW or UNDERFLOW.

### binError

    double binError(int indexX,
                    int indexY,
                    int indexZ)

  The error on this bin.

  Parameters:
    `indexX` - the x bin number (0...Nx-1) or OVERFLOW or UNDERFLOW.
    `indexY` - the y bin number (0...Ny-1) or OVERFLOW or UNDERFLOW.
    `indexZ` - the z bin number (0...Nz-1) or OVERFLOW or UNDERFLOW.

### binHeight

    double binHeight(int indexX,
                     int indexY,
                     int indexZ)

  Total height of the corresponding bin (ie the sum of the weights in this bin).

  Parameters:
    `indexX` - the x bin number (0...Nx-1) or OVERFLOW or UNDERFLOW.
    `indexY` - the y bin number (0...Ny-1) or OVERFLOW or UNDERFLOW.
    `indexZ` - the z bin number (0...Nz-1) or OVERFLOW or UNDERFLOW.

### fill

    void fill(double x,
              double y,
              double z)

  Fill the histogram with weight 1; equivalent to `fill(x,y,z,1)`..

### fill

    void fill(double x,
              double y,
              double z,
              double weight)

  Fill the histogram with specified weight.

### meanX

    double meanX()

  Returns the mean of the histogram, as calculated on filling-time projected on the X axis.

### meanY

    double meanY()

  Returns the mean of the histogram, as calculated on filling-time projected on the Y axis.

### meanZ

    double meanZ()

  Returns the mean of the histogram, as calculated on filling-time projected on the Z axis.

### minMaxBins

    int[] minMaxBins()

  Indexes of the in-range bins containing the smallest and largest binHeight(), respectively.

  Returns:
    `{minBinX,minBinY,minBinZ, maxBinX,maxBinY,maxBinZ}`.

### projectionXY

    IHistogram2D projectionXY()

  Create a projection parallel to the XY plane. Equivalent to `sliceXY(UNDERFLOW,OVERFLOW)`.

### projectionXZ

    IHistogram2D projectionXZ()

  Create a projection parallel to the XZ plane. Equivalent to `sliceXZ(UNDERFLOW,OVERFLOW)`.

### projectionYZ

    IHistogram2D projectionYZ()

  Create a projection parallel to the YZ plane. Equivalent to `sliceYZ(UNDERFLOW,OVERFLOW)`.

### rmsX

    double rmsX()

  Returns the rms of the histogram as calculated on filling-time projected on the X axis.

### rmsY

    double rmsY()

  Returns the rms of the histogram as calculated on filling-time projected on the Y axis.

### rmsZ

    double rmsZ()

  Returns the rms of the histogram as calculated on filling-time projected on the Z axis.

### sliceXY

    IHistogram2D sliceXY(int indexZ)

  Create a slice parallel to the XY plane at bin indexZ and one bin wide. Equivalent to `sliceXY(indexZ,indexZ)`.

### sliceXY

    IHistogram2D sliceXY(int indexZ1,
                         int indexZ2)

  Create a slice parallel to the XY plane, between "indexZ1" and "indexZ2" (inclusive). The returned IHistogram2D represents an instantaneous snapshot of the histogram at the time the slice was created.

### sliceXZ

    IHistogram2D sliceXZ(int indexY)

  Create a slice parallel to the XZ plane at bin indexY and one bin wide. Equivalent to `sliceXZ(indexY,indexY)`.

### sliceXZ

    IHistogram2D sliceXZ(int indexY1,
                         int indexY2)

  Create a slice parallel to the XZ plane, between "indexY1" and "indexY2" (inclusive). The returned IHistogram2D represents an instantaneous snapshot of the histogram at the time the slice was created.

### sliceYZ

    IHistogram2D sliceYZ(int indexX)

  Create a slice parallel to the YZ plane at bin indexX and one bin wide. Equivalent to `sliceYZ(indexX,indexX)`.

### sliceYZ

    IHistogram2D sliceYZ(int indexX1,
                         int indexX2)

  Create a slice parallel to the YZ plane, between "indexX1" and "indexX2" (inclusive). The returned IHistogram2D represents an instantaneous snapshot of the histogram at the time the slice was created.

### xAxis

    IAxis xAxis()

  Return the X axis.

### yAxis

    IAxis yAxis()

  Return the Y axis.

### zAxis

    IAxis zAxis()

  Return the Z axis.

Colt 1.2.0

Jump to the Colt Homepage